<?php

namespace App\Http\Controllers\Web;

use App\About;
use App\Http\Controllers\Controller;
use App\Page;
use App\Photo;
use App\PhotoCategory;
use App\Product;
use App\Project;
use App\Room;
use App\Staff;
use Illuminate\Http\Request;

use App\User;
use Notification;
use App\Notifications\ArticlesNotification;
use App\WebsitePhoto;
use Config;
use Illuminate\View\View;

class AboutUsController extends Controller
{
    /**
     * Show the application dashboard.
     * @return View
     */
    public function index(): View
    {
        $title = __('abouts.head');
        $about = About::getAbout();
        $aboutTitle1 = wordLimit(($about->about_title ?? null), 3, null);
        $aboutTitle2 = str_replace($aboutTitle1, '', ($about->about_title ?? null));
        $aboutDescription1 = wordLimit(($about->about_description ?? null), 38, null);
        $aboutDescription2 = str_replace($aboutDescription1, '', ($about->about_description ?? null));
        $aboutVideoDescription1 = wordLimit(($about->video_description ?? null), 56, null);
        $aboutVideoDescription2 = str_replace($aboutVideoDescription1, '', ($about->video_description ?? null));
        return view('web.about_us', get_defined_vars());
    }
}
